INTERFACE
SUBROUTINE GPNOXAD(KPROMA,KSTART,KPROF,KFLEV,PNO2,PT,PO3,PNOX,PSOL,PJNO2,PRXP,&
 & PT5,PO35,PNOX5,PJNO25,PRXP5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNO2(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PO3(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNOX(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOL(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PJNO2(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRXP(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PT5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PO35(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNOX5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PJNO25(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP5(KPROMA,0:KFLEV,NPPM)
END SUBROUTINE GPNOXAD
END INTERFACE
